Last modified: 2014-06-28 23:24:25 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 53700 - VisualEditor: When using jquery.IME, type a word and press space bar = eliminates typed text immediately
VisualEditor: When using jquery.IME, type a word and press space bar = elimin...
Status: ASSIGNED
Product: VisualEditor
Classification: Unclassified
Language (Other open bugs)
unspecified
All All
: High major
: ---
Assigned To: Editing team bugs – take if you're interested!
: i18n
: 54960 (view as bug list)
Depends on: 57290
Blocks: ve-multi-lingual 53014 53717
  Show dependency treegraph
 
Reported: 2013-09-03 11:23 UTC by Mahitgar
Modified: 2014-06-28 23:24 UTC (History)
14 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Mahitgar 2013-09-03 11:23:01 UTC
*VisualEditor+ULS Method of input = अक्षरांतरण language=Marathi  Script=Devanagari  (Non-VE source edit environ,ULS Method of input = अक्षरांतरण works normal 	

*Tested Browser and OS =Firefox+Win7

*Problem description = No other text on a page> Type a word + space bar = eliminates typed text imidiately

**additional details = If some text is already there on the page or we copy paste then we can give the space bar with less frequency of this problem.


*Screen shot or Difference of edit if available = Can not create the screen shot/or edit diff


Thanks and Regards
Comment 1 Andre Klapper 2013-09-03 12:41:32 UTC
[Not a blocker, see http://www.mediawiki.org/wiki/Bugzilla/Fields#Severity ]

Confirming for Firefox 23.0.1 and Fedora 19.

Steps to reproduce:
1. Go to non existing page like https://mr.wikipedia.org/w/index.php?title=%E0%A4%85%E0%A4%AB%E0%A4%97%E0%A4%BE
2. make sure to be logged in
3. Go to माझ्या पसंती (Preferences), संपादन and enable last option: यथादृश्यसंपादक कार्यान्वित करा (केवळ मुख्य(लेख) आणि सदस्य नामविश्वात) - this enables VisualEditor
4. Click cog next to इतर भाषांमध्ये
5. Under क्षेपन (टायपींग ईनपुट) make sure to choose अक्षरांतरण
6. Click तयार करा (Create page)
7. Make sure that URL ends with &veaction=edit
8. Type a word and press spacebar.
Comment 2 Siddhartha Ghai 2013-09-03 17:15:33 UTC
Possible duplicate: Bug 53705
Comment 3 D Chan 2013-09-11 23:42:51 UTC
There's code to address this bug in the following patch, which is due to go live by mediawiki.org on 13 September 2013:

https://gerrit.wikimedia.org/r/#/c/82858/

Please let us know whether it fixes the bug!
Comment 4 Mahitgar 2013-09-14 13:25:21 UTC
Hello,

This is 14th Sept 18.52 pm Indian standard time. I tested on  mr wiki couple of pages and tested on en wiki my own user space . To me problem is as is and not resolved.


Thanks and best wished for your continued effort


Rgds
Comment 5 Mahitgar 2013-09-15 12:26:45 UTC
(In reply to comment #4)

Hello, gave one more try during a live edit correction, result no success.

*On mr wikipedia page was https://mr.wikipedia.org/wiki/नारायण_श्रीपाद_राजहंस  

*During the last edit diff https://mr.wikipedia.org/w/index.php?title=नारायण_श्रीपाद_राजहंस&diff=1198688&oldid=1184350 one new user has removed  section heading to word जीवन  

*I took corrective editing target to type Marathi word व्यक्तीगत (by using VE+ULS method ) before word जीवन   so it will be a two word section heading  ==व्यक्तीगत जीवन==
** Sentence to be edited जीवन नारायण श्रीपाद राजहंस यांचा जन्म जून २६, इ.स. १८८८ रोजी जिल्ह्यातील पलुस तालुक्यात नागठाणे या गावी झाला.


Steps tried

*Visit Marathi language wikipedia
*Enable visual editor from preferences [[Special:Preferences#mw-prefsection-editing]]
* page https://mr.wikipedia.org/wiki/नारायण_श्रीपाद_राजहंस


* Clicked संपादन that is edit (Visual Editor's)

* Sentence appeared  जीवन ↵नारायण श्रीपाद राजहंस यांचा जन्म जून २६, इ.स. १८८८ रोजी जिल्ह्यातील पलुस तालुक्यात नागठाणे या गावी झाला. 

* Display language Marathi For Input method selected ULS> 1)अक्षरांतरण (transliteration)

*Clicked Enter after word जीवन  since rest of line needs to be in paragraph portion

*Took cursor before word जीवन  

* To transliterate Typed keys from key board 'vyaktigata >> अक्षरांतरण transliteration transliterated to>> व्यक्तिगत transliteration was success.

* Then 'Pressed space bar' the result was word 'व्यक्तिगत' disappeared.


* Repeated above with different ULS input method  ULS> 2) इनस्क्रिप्ट (Inscript)

** To transliterate typed keys  bd/kdlfil transliterated to>> व्यक्तिगत transliteration was success.

** Then 'Pressed space bar' the result was word 'व्यक्तिगत' disappeared.

Windows 7 + tried two browsers Firefox (version mentioned earlier) and Google Chrome (is up to date Version 29.0.1547.66 m)  The results were failure.


(VE+windows native Input method इनस्क्रिप्ट 'in script' worked successfully to type word  व्यक्तिगत + space bar was success.) 

We still wait and look forward to VE +ULS success. Best wishes for the same 

Rgds
Comment 6 Andre Klapper 2013-09-16 09:24:39 UTC
(In reply to comment #4)
> I tested on  mr wiki

As comment 3 said, it's available on ***mediawiki.org***, not mr wiki (yet). mediawiki.org is where to test it.
Comment 7 Siddhartha Ghai 2013-09-18 11:44:13 UTC
(In reply to comment #6)
> (In reply to comment #4)
> > I tested on  mr wiki
> 
> As comment 3 said, it's available on ***mediawiki.org***, not mr wiki (yet).
> mediawiki.org is where to test it.

Confirming this is not fixed.

System environment:
Win 7 X64 SP1
Google Chrome 29.0.1547.66 m

Test URL:
https://www.mediawiki.org/wiki/User:Siddhartha_Ghai?veaction=edit

Steps to reproduce:
Enable ULS IME mr transliteration (labelled अक्षरांतरण)
Blank the page (and reset formatting to simple paragraph, i.e remove bulleted list formatting)

Input 1:
agar[SPACE]

Output 1:
[SPACE]

Expected Output (as seen in the old editor):
अगर्[SPACE]

Input 2:
kyaa[SPACE]

Output 2:
[SPACE]

Expected Output (as seen in the old editor):
क्या[SPACE]
Comment 8 James Forrester 2013-10-08 22:18:23 UTC
*** Bug 54960 has been marked as a duplicate of this bug. ***
Comment 9 James Forrester 2013-10-08 22:18:52 UTC
Not just Marathi/Devanagari specific, apparently it's a general problem with jquery.IME in VE.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links